summary refs log tree commit diff
path: root/bin
diff options
context:
space:
mode:
authorFranck Cuny <franck.cuny@gmail.com>2017-01-27 15:47:44 -0800
committerFranck Cuny <franck.cuny@gmail.com>2017-01-27 15:47:44 -0800
commit81168e4fa47ef7f44f4c20400d7cf91b21d2ffc2 (patch)
tree2fabf2fc9c9e99fc89309474cad0696f082a28cd /bin
parent[Emacs] Remove custom checker for Python style. (diff)
downloademacs.d-81168e4fa47ef7f44f4c20400d7cf91b21d2ffc2.tar.gz
[bin] Remove 'science'
Diffstat (limited to 'bin')
-rwxr-xr-xbin/build-twttr-tools33
-rwxr-xr-xbin/build-twttr-world33
2 files changed, 33 insertions, 33 deletions
diff --git a/bin/build-twttr-tools b/bin/build-twttr-tools
new file mode 100755
index 0000000..da54fe5
--- /dev/null
+++ b/bin/build-twttr-tools
@@ -0,0 +1,33 @@
+#!/bin/bash
+
+SOURCE_ROOT="${HOME}/src/source"
+
+if [ ! -d "${SOURCE_ROOT}" ]; then
+  echo "It looks like ${SOURCE_ROOT} is not available."
+  exit 1
+fi
+
+TARGETS=(
+  'src/python/twitter/checkstyle:check'
+  'src/python/twitter/messaging/julep/:julep'
+  'src/python/twitter/messaging/oncall/:oncall'
+  'src/python/twitter/messaging/tools/:bookkeeper'
+  'src/python/twitter/messaging/tools/:bookkeeper-rereplicator'
+  'src/python/twitter/messaging/tools/:customers-requests'
+  'src/python/twitter/messaging/tools/:host-status'
+  'src/python/twitter/messaging/tools/:msg-config'
+  'src/python/twitter/messaging/tools/:partition-ownership'
+  'src/python/twitter/messaging/tools/:proxy-admin'
+  'src/python/twitter/messaging/xdc_replicator_check/:streams-to-replicate'
+  'src/python/twitter/ops/mesos/bin/:mesosops'
+)
+
+cd "${SOURCE_ROOT}"
+
+for target in "${TARGETS[@]}"; do
+  echo -n "Build $target"
+  ./pants -q binary "${target}"
+done
+
+echo "Done."
+
diff --git a/bin/build-twttr-world b/bin/build-twttr-world
deleted file mode 100755
index 1e0a49d..0000000
--- a/bin/build-twttr-world
+++ /dev/null
@@ -1,33 +0,0 @@
-#!/bin/bash
-
-SOURCE_ROOT="${HOME}/src/source"
-
-if [ ! -d "${SOURCE_ROOT}" ]; then
-  echo "It looks like ${SOURCE_ROOT} is not available."
-  exit 1
-fi
-
-TARGETS=(
-  'science/src/python/twitter/checkstyle:check'
-  'science/src/python/twitter/messaging/julep/:julep'
-  'science/src/python/twitter/messaging/oncall/:oncall'
-  'science/src/python/twitter/messaging/tools/:bookkeeper'
-  'science/src/python/twitter/messaging/tools/:bookkeeper-rereplicator'
-  'science/src/python/twitter/messaging/tools/:customers-requests'
-  'science/src/python/twitter/messaging/tools/:host-status'
-  'science/src/python/twitter/messaging/tools/:msg-config'
-  'science/src/python/twitter/messaging/tools/:partition-ownership'
-  'science/src/python/twitter/messaging/tools/:proxy-admin'
-  'science/src/python/twitter/messaging/xdc_replicator_check/:streams-to-replicate'
-  'science/src/python/twitter/ops/mesos/bin/:mesosops'
-)
-
-cd "${SOURCE_ROOT}"
-
-for target in "${TARGETS[@]}"; do
-  echo -n "Build $target"
-  ./pants -q binary "${target}"
-done
-
-echo "Done."
-